Page MenuHomePhabricator

Make Phame blog policies non-nullable
ClosedPublic

Authored by epriestley on Apr 1 2022, 6:42 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Aug 4, 9:53 AM
Unknown Object (File)
Thu, Aug 4, 9:53 AM
Unknown Object (File)
Thu, Aug 4, 9:52 AM
Unknown Object (File)
Sun, Jul 24, 4:06 AM
Unknown Object (File)
Jul 15 2022, 3:32 AM
Unknown Object (File)
Jul 15 2022, 3:32 AM
Unknown Object (File)
Jul 15 2022, 3:32 AM
Unknown Object (File)
Jul 14 2022, 6:19 AM
Subscribers
Restricted Owners Package

Details

Summary

Ref T6203. Ref T13661. These policies are incorrectly nullable, although it's likely that no pathway exists in the application to write NULL into them. Fix the schema.

Test Plan

Ran bin/storage upgrade.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Apr 1 2022, 6:42 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 1 2022, 7:53 PM
This revision was automatically updated to reflect the committed changes.